/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

.boxAlert1{
    .alert-wrapper{
        max-width: 400px;
        .alert-head {
            #alert-1-hdr{
            }
        }
        // #alert-1-msg{
            .alert{
                border-radius: 5px;
                background-color: rgb(238, 237, 244);
                padding: 10px 0px;
                position: relative;
                margin-top: 10px;
                p{
                    margin-left: 70px;
                    text-align: left;
                    font-weight: 600;
                    font-size: 14px;
                }
                img{
                    max-width: 30px;
                    position: absolute;
                    top: 0;
                    bottom: 0;
                    margin: auto;
                    left: 20px;
                }
            }
        // }
    }
}

.boxAlert{
    
    .alert-wrapper{
        max-width: 400px;
        box-shadow: 0px 0px 10px white;
        padding: 15px;
        .alert-head {
            
            // margin-top: 20px;
            font-weight: 600;
            text-align: center;
            h2{
                color: #633ce0;
                font-size: 25px;
                font-weight: 600;
            }
            #alert-hdr{

            }
        }

            .alert{
                border-radius: 5px;
                background-color: rgb(238, 237, 244);
                padding: 10px 0px;
                position: relative;
                p{
                    margin-left: 60px;
                    font-weight: 600;
                    font-size: 14px;
                    text-align: left;
                }
                img{
                    max-width: 30px;
                    position: absolute;
                    top: 0;
                    bottom: 0;
                    margin: auto;
                    left: 20px;
                }
            }
            .alert-button-group{
                left: 0;
                right: 0;
                margin: auto;
               
                .alert-button{
                    text-align: center;
                    color: lightseagreen;
                    margin-bottom: 15px;
                    // margin-right: 50px;
                    // width: 45%;
                    span{
                        justify-content: center;
                    }
                    .alert-button-inner.sc-ion-alert-md {
                        justify-content: center;
                    }

                   
                }
            }

        // }
    }
}
@media only screen and (max-width: 1400px) {
    .boxAlert{
        .alert-wrapper{
            max-width: 280px;
            padding: 0;
            .alert-head {
            
                // margin-top: 20px;
                font-weight: 600;
                text-align: center;
                h2{
                    color: #633ce0;
                    font-size: 22px;
                    font-weight: 600;
                }
                #alert-hdr{
    
                }
            }
        
            .alert{
                p{
                    margin-left: 70px ;
                }
            }
            .alert-button-group{
                left: 0;
                right: 0;
                margin: auto;
                margin-bottom: 10px;
                .alert-button{
                    text-align: left;
                    color: lightseagreen;
                    margin: auto;
                    background-color: #f0f8ff;
                }
            }
            
        }
    }
}
@media only screen and (max-width: 700px) {
    .boxAlert{
        .alert-wrapper{
            #alert-1-msg{
                .alert{
                    p{
                        margin-left: 70px ;
                    }
                }
            }
        }
    }
}